l
<template>
    <div class="pd10" v-loading="isLoading" element-loading-text="数据加载中">
        <el-row>
            <el-col>
                <el-tabs v-model.trim="activeName" @tab-click="handleClick" type="border-card">
                    <el-tab-pane label="终端运行管理" name="first" :style="'height:' + vh + ';'">
                        <Administration @Loading="Loading"></Administration>
                    </el-tab-pane>
                </el-tabs>
            </el-col>
        </el-row>
    </div>
</template>
<script>
import Administration from './components/Administration'
export default {
    name: 'descentoperation',
    components: { Administration },
    data() {
        return {
            vh: '',
            zoom: '',
            activeName: 'first',
            device: '',
            isLoading: true
        }
    },
    created() {},
    mounted() {
        this.device = window.devicePixelRatio
        this.setHeight()
        window.addEventListener('resize', this.setHeight)
    },
    beforeDestroy() {
        window.removeEventListener('resize', this.setHeight)
    },
    methods: {
        setHeight() {
            this.vh = window.sessionStorage.getItem('appheight') - 90 + 'px'
        },
        handleClick(tab, event) {
            // console.log(tab, event);
        },
        Loading(e) {
            this.isLoading = e
        }
    }
}
</script>
<style lang="less" scoped>
@import url('../../../styles/comStyle.less');
::v-deep .el-table .cell {
    text-align: center;
}
::v-deep .el-tabs--border-card > .el-tabs__content {
    padding: 10px;
}
</style>
